package com.kingdee.eas.custom.expandassess;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ExpandAssessCollection extends AbstractObjectCollection 
{
    public ExpandAssessCollection()
    {
        super(ExpandAssessInfo.class);
    }
    public boolean add(ExpandAssessInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ExpandAssessCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ExpandAssessInfo item)
    {
        return removeObject(item);
    }
    public ExpandAssessInfo get(int index)
    {
        return(ExpandAssessInfo)getObject(index);
    }
    public ExpandAssessInfo get(Object key)
    {
        return(ExpandAssessInfo)getObject(key);
    }
    public void set(int index, ExpandAssessInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ExpandAssessInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ExpandAssessInfo item)
    {
        return super.indexOf(item);
    }
}